var allElements = document.getElementsByTagName("*");
for (var i = 0; i < allElements.length; i++) {
   var element = allElements[i];
   element.style.setProperty('background', '#00000000', 'important');
   element.style.setProperty('backgroundColor', '#00000000', 'important');
   element.style.setProperty('color', '$colorPrimary', 'important');
}

var logoImage = document.getElementById('qslc').querySelector('img');
if (logoImage) {
   logoImage.src = '/images/branding/googlelogo/2x/googlelogo_color_92x36dp.png';
}

var elements = document.querySelectorAll(".grvXqb");
if (elements) {
   elements.forEach(function(element) {
       element.style.setProperty('borderTop', '0.8px solid $colorPrimary', 'important');
       element.style.setProperty('borderBottom', '0.8px solid $colorPrimary', 'important');
   });
}

var elements = document.querySelectorAll(".zGVn2e");
if (elements) {
   elements.forEach(function(element) {
       element.style.setProperty('border', '1px solid $colorPrimary', 'important');
   });
}
/*
var elements = document.querySelectorAll('.TzHB6b.Ww4FFb.vt6azd.DlUvEb.UBoxCb.LMRCfc');
if (elements) {
   elements.forEach(function(element) {
       element.style.setProperty('borderTop', '1px solid rgb(255 255 255 / 20%)', 'important');
   });
}
*/

var elements = document.querySelectorAll(".GKS7s");
if (elements) {
   elements.forEach(function(element) {
       element.style.setProperty('boxShadow', 'inset 0 0 0 1px $colorPrimary', 'important');
   });
}

var elements = document.querySelectorAll(".A2pSt");
if (elements) {
   elements.forEach(function(element) {
       element.style.setProperty('padding', '16px 8px 4px 12px', 'important');
   });
}

hideTooltipsAndGoogleTabs();
hideSignInBottomSheet();
hideBlankSpaceBelowSongTitle();
var observer = new MutationObserver(function() {
    hideSignInBottomSheet();
    hideTooltipsAndGoogleTabs();
});
observer.observe(document.body, { childList: true, subtree: true });

function hideSignInBottomSheet() {
    var signInBottomSheetNote = document.getElementById('stUuGf');
    if (signInBottomSheetNote) {
        signInBottomSheetNote.style.setProperty('display', 'none', 'important');
        signInBottomSheetNote.style.setProperty('visibility', 'hidden', 'important');
    }
}

function hideTooltipsAndGoogleTabs() {
    var tooTipElements = document.querySelectorAll(".GxICUe, .cm5a3b, #sh_tsuid_31, #bqHHPb, #navd, #gb, .qlJdOe, .wRPYSe, #msc, #taw");
    if (tooTipElements) {
         tooTipElements.forEach(function(element) {
            element.style.setProperty('display', 'none', 'important');
             if(element.id == "sh_tsuid_31") {
                 var nextSibling = element.nextElementSibling;
                 if (nextSibling && nextSibling.tagName === 'DIV' && nextSibling.childElementCount == 0) {
                     nextSibling.style.display = 'none';
                 }
            }
        });
    }
}

function hideBlankSpaceBelowSongTitle(){
    var divElement = document.querySelector('div[style="padding-top: 48px; padding-bottom: 8px; background: rgba(0, 0, 0, 0) !important; color: rgb(255, 255, 255) !important;"]');
    if (divElement) {
        divElement.style.setProperty('padding', '8px 0px 8px 0px', 'important');
    }
}

lyricsPreviewWebView.onTransformApplied()